#ifndef DOS_H
#define DOS_H

#include <Arduino.h>
#include "ui.h" // For ButtonPressType, needsRedraw, etc.

// --- Constants ---
#define DOS_PACKET_INTERVAL 50 // Milliseconds between packets (Increased for testing)
#define DOS_CHANNEL_HOP_INTERVAL 250 // Milliseconds on each channel

// --- State ---
extern bool dos_flood_active; // Make active flag visible externally if needed

// --- Function Prototypes ---
void dos_init();
void dos_stop();
void dos_update();
void dos_draw();
void dos_handle_input(ButtonPressType pressType);

#endif // DOS_H 